cmake_minimum_required(VERSION 3.0.0)

# configure target cpu
set(AVR_MCU attiny84)
include(cmake/avr-toolchain.cmake)

# create project
project(slider-firmware C)

# add protocol definition
add_subdirectory(protocol)

# add the firmware target
add_subdirectory(firmware)